Name:          fastutil
Version:       6.5.9
Release:       5%{?dist}
Summary:       Fast & compact type-specific collections for Java
# LGPL (v2.1 or later): src/it/unimi/dsi/fastutil/io/FastBufferedOutputStream.java 
# src/it/unimi/dsi/fastutil/io/RepositionableStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableOutputStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableStream.java
# src/it/unimi/dsi/fastutil/io/FastBufferedInputStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableInputStream.java
# src/it/unimi/dsi/fastutil/io/FastByteArrayInputStream.java
# src/it/unimi/dsi/fastutil/io/FastByteArrayOutputStream.java
# src/it/unimi/dsi/fastutil/io/FastMultiByteArrayInputStream.java
# src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java
# test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java
License:       ASL 2.0 and LGPLv2+
# altenative url
#URL:           https://github.com/vigna/fastutil
# often is offline
URL:           http://fastutil.di.unimi.it/
# altenative source repo
#Source0:       http://repo1.maven.org/maven2/it/unimi/dsi/%%{name}/%%{version}/%%{name}-%%{version}-sources.jar
#Source1:       http://repo1.maven.org/maven2/it/unimi/dsi/%%{name}/%%{version}/%%{name}-%%{version}.pom
# often is offline
Source0:       http://fastutil.di.unimi.it/%{name}-%{version}-src.tar.gz
Source2:       %{name}-bnd.properties

BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: emma
# Required for generate source code
BuildRequires: gcc
BuildRequires: make

Requires:      jpackage-utils
BuildArch:     noarch

%description
Fastutil extends the Java Collections Framework by providing type-specific
maps, sets, lists and priority queues with a small memory footprint and
fast access and insertion; it also includes a fast I/O API for binary and
text files. The classes implement their standard counterpart interface
(e.g., Map for maps) and can be plugged into existing code. Moreover, they
provide additional features (such as bidirectional iterators) that are not
available in the standard classes.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
#%%setup -q -c
%setup -q
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," \
 src/it/unimi/dsi/fastutil/io/FastBufferedOutputStream.java \
 src/it/unimi/dsi/fastutil/io/RepositionableStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableOutputStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableStream.java \
 src/it/unimi/dsi/fastutil/io/FastBufferedInputStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableInputStream.java \
 src/it/unimi/dsi/fastutil/io/FastByteArrayInputStream.java \
 src/it/unimi/dsi/fastutil/io/FastByteArrayOutputStream.java \
 src/it/unimi/dsi/fastutil/io/FastMultiByteArrayInputStream.java \
 src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java \
 test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java

# Fix pom version
#%%pom_xpath_set "pom:project/pom:version" %%{version}
sed -i "s|<version>6.5.8|<version>%{version}|" pom.xml
# Remove empty dependencies list
%pom_xpath_remove "pom:project/pom:dependencies"

cp %{SOURCE2} bnd.properties
sed -i "s|@VERSION@|%{version}|" bnd.properties

%build

# Generate source code
%{__make} -s clean sources
# Build
ant -Dj2se.apiurl=%{_javadocdir}/java jar javadoc
# Add OSGi support
%java -jar $(build-classpath aqute-bnd) wrap -properties bnd.properties %{name}-%{version}.jar

%install

# Jar
mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}-%{version}.bar \
  %{buildroot}%{_javadir}/%{name}.jar

# Pom and depmap
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc CHANGES README
%license LICENSE-2.0

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE-2.0

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 6.5.9-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 6.5.9-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Sep 18 2013 gil cattaneo <puntogil@libero.it> 6.5.9-1
- update to 6.5.9

* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 6.5.7-1
- imported package fastutil for Fedora

* Wed Nov 02 2011 gil cattaneo <puntogil@libero.it> 6.4.1-1.mga2
- imported package fastutil
